dsconfig get-access-control-handler-prop
Prev | dsconfig Subcommands Reference | Next

## Name

dsconfig get-access-control-handler-prop — Shows Access Control Handler properties

## Synopsis

`dsconfig get-access-control-handler-prop` {options}

## Description

Shows Access Control Handler properties.

## Options

The dsconfig get-access-control-handler-prop command takes the following options:

`--property {property}`

  The name of a property to be displayed.

  Access Control Handler properties depend on the Access Control Handler type, which depends on the {property} you provide.

  By default, OpenDJ directory server supports the following Access Control Handler types:

  dsee-compat-access-control-handler

    Default {property}: Dsee Compat Access Control Handler

    Enabled by default: true

    See the section called “Dsee Compat Access Control Handler” for the properties of this Access Control Handler type.

`-E | --record`

  Modifies the display output to show one property value per line.

  Access Control Handler properties depend on the Access Control Handler type, which depends on the null you provide.

  By default, OpenDJ directory server supports the following Access Control Handler types:

  dsee-compat-access-control-handler

    Default null: Dsee Compat Access Control Handler

    Enabled by default: true

    See the section called “Dsee Compat Access Control Handler” for the properties of this Access Control Handler type.

`-z | --unit-size {unit}`

  Display size data using the specified unit. The value for UNIT can be one of b, kb, mb, gb, or tb (bytes, kilobytes, megabytes, gigabytes, or terabytes).

  Access Control Handler properties depend on the Access Control Handler type, which depends on the {unit} you provide.

  By default, OpenDJ directory server supports the following Access Control Handler types:

  dsee-compat-access-control-handler

    Default {unit}: Dsee Compat Access Control Handler

    Enabled by default: true

    See the section called “Dsee Compat Access Control Handler” for the properties of this Access Control Handler type.

`-m | --unit-time {unit}`

  Display time data using the specified unit. The value for UNIT can be one of ms, s, m, h, d, or w (milliseconds, seconds, minutes, hours, days, or weeks).

  Access Control Handler properties depend on the Access Control Handler type, which depends on the {unit} you provide.

  By default, OpenDJ directory server supports the following Access Control Handler types:

  dsee-compat-access-control-handler

    Default {unit}: Dsee Compat Access Control Handler

    Enabled by default: true

    See the section called “Dsee Compat Access Control Handler” for the properties of this Access Control Handler type.

## Dsee Compat Access Control Handler

Access Control Handlers of type dsee-compat-access-control-handler have the following properties:

enabled
  Description

    Indicates whether the Access Control Handler is enabled. If set to FALSE, then no access control is enforced, and any client (including unauthenticated or anonymous clients) could be allowed to perform any operation if not subject to other restrictions, such as those enforced by the privilege subsystem.

  Default Value

    None

  Allowed Values

    true

    false

  Multi-valued

    No

  Required

    Yes

  Admin Action Required

    None

  Advanced Property

    No

  Read-only

    No

global-aci
  Description

    Defines global access control rules. Global access control rules apply to all entries anywhere in the data managed by the OpenDJ directory server. The global access control rules may be overridden by more specific access control rules placed in the data.

  Default Value

    No global access control rules are defined, which means that no access is allowed for any data in the server unless specifically granted by access control rules in the data.

  Allowed Values

    ????

  Multi-valued

    Yes

  Required

    No

  Admin Action Required

    None

  Advanced Property

    No

  Read-only

    No

java-class
  Description

    Specifies the fully-qualified name of the Java class that provides the Dsee Compat Access Control Handler implementation.

  Default Value

    org.opends.server.authorization.dseecompat.AciHandler

  Allowed Values

    A Java class that implements or extends the class(es): org.opends.server.api.AccessControlHandler

  Multi-valued

    No

  Required

    Yes

  Admin Action Required

    The Access Control Handler must be disabled and re-enabled for changes to this setting to take effect

  Advanced Property

    Yes (Use --advanced in interactive mode.)

  Read-only

    No

Prev | Up | Next
dsconfig delete-virtual-attribute | Home | dsconfig get-access-log-filtering-criteria-prop